/* @import url("https://fonts.googleapis.com/css2?family=M+PLUS+Rounded+1c&display=swap"); */

.light-theme {
  --white: #ffffff;
  --primary: #038970;
  --primary_dark: #005849;
  --section_bg: rgba(234, 253, 251, 0.8);
}

* {
  scrollbar-width: thin;
  scrollbar-color: #a8a8a8 transparent;
}

*::-webkit-scrollbar {
  width: 9px;
  height: 9px;
  border-radius: 12px;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background-color: #a8a8a8;
  border-radius: 8px;
  border: 1px solid #d9d9d9;
}

*::-webkit-scrollbar-corner {
  background: transparent;
}

*::-webkit-scrollbar-thumb:hover {
  background-color: #787878;
}

*::-webkit-scrollbar-thumb:active {
  background-color: #5a5a5a;
}

body {
  height: 100%;
  display: flex;
  flex-direction: column;
  background: url("../img/bg.jpg") repeat fixed top center;
  background-color: var(--primary_dark);
  /* font-family: "M PLUS Rounded 1c", sans-serif; */
  font-family: "BioRhyme", serif;
}

#title {
  min-height: 75px;
}

#title > img {
  width: 55px;
  height: auto;
}

#title > p {
  color: #fffbee;
  margin: 0px 15px;
  font-size: 1.9em;
  font-weight: bolder;
}

#fileName {
  margin-left: 10px;
  word-break: break-word;
}

.container {
  align-self: center;
  width: 95%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.top.column {
  background: var(--section_bg);
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 1px -1px 4px rgba(0, 0, 0, 0.15);
  width: 90%;
  max-width: 1024px;
  align-self: center;
}

.top.column > .row {
  background: var(--section_bg);
  border: 0px solid #ddd;
  border-radius: 5px;
  box-shadow: 1px -1px 4px rgba(0, 0, 0, 0.15);
  padding: 10px;
  margin-bottom: 5px;
}

.top,
.bottom {
  margin: 5px 10px;
}

textarea {
  margin: 0px;
  width: 100%;
  height: 100%;
  resize: none;
  border: 1px solid #777;
  border-radius: 10px;
  outline-color: var(--primary);
}

.row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.row > form {
  display: flex;
  flex-direction: row;
}

.column {
  display: flex;
  flex-direction: column;
}

.bottom > .column {
  flex: 1;
}

.bottom > .row {
  flex: 1;
  min-height: 300px;
}

.column:first-child {
  padding-right: 10px;
}

.content {
  /* height: 100%; */
}

.content > div {
  height: 100%;
  /* max-width: 50%; */
}

.bottom.content {
  display: flex;
  background: var(--section_bg);
  flex-direction: row;
  flex: 1;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 1px -1px 4px rgba(0, 0, 0, 0.15);
  padding: 10px;
  width: 90%;
  max-width: 1024px;
  align-self: center;
}

.bottom > .row:nth-child(1) {
  margin-right: 5px;
}

.bottom > .row:nth-child(2) {
  margin-left: 5px;
}

.shift_duration {
  max-width: 60px;
  height: 35px;
  border: 1px solid #777;
  border-radius: 5px;
  outline-color: var(--primary);
}

.shift_duration:last-child {
  max-width: 80px;
}

.button_r {
  background: var(--primary);
  text-align: center;
  padding: 10px 15px;
  color: #fff;
  font-size: 14px;
  border: 0;
  border-radius: 5px;
  cursor: pointer;
  outline: 0 !important;
  display: inline-block;
  transition: all 0.2s ease-out;
}
/* .button_r:focus {
  background: #202020;
  text-decoration: none;
  color: #fff;
  border: none;
} */
.button_r:hover {
  transform: translateY(-2px) scale(1.005);
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.11), 0 6px 9px rgba(220, 233, 255, 0.48);
}
.button_r:active {
  transform: translateY(2px) scale(0.995);
  box-shadow: none;
}

.button_outline {
  background: transparent;
  border: 1px solid var(--primary);
  color: var(--primary);
}

#resyncBtn {
  margin-left: 14px;
}

@media screen and (max-width: 664px) {
  #title > img {
    width: 45px;
    height: auto;
  }

  #title > p {
    font-size: 1.6em;
  }

  .bottom.content {
    flex-direction: column;
  }

  .bottom > .row:nth-child(1) {
    margin-right: 0px;
    margin-bottom: 10px;
  }

  .bottom > .row:nth-child(2) {
    margin-left: 0px;
    margin-top: 10px;
  }

  .row > form {
    flex-direction: column;
  }

  .row > form > *:not(:last-child) {
    margin-bottom: 10px;
  }

  .shift_duration {
    max-width: none;
    height: 35px;
    width: 100%;
    margin: 3px;
  }

  .shift_duration:last-child {
    max-width: none;
  }

  .shift_duration_container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  #resyncBtn {
    margin-left: 0px;
  }
}

@media screen and (max-width: 484px) {
  #title > img {
    width: 35px;
    height: auto;
  }

  #title > p {
    font-size: 1.3em;
  }
}

/* @media screen and (max-width: 364px) {
  #title > img {
    width: 30px;
    height: 30px;
  }

  #title > p {
    font-size: 1.0em;
  }
} */
